Bug 1899985 (CVE-2020-28941) - CVE-2020-28941 kernel: NULL pointer dereference in spk_ttyio_ldisc_close function in drivers/accessibility/speakup/spk_ttyio.c
Summary: CVE-2020-28941 kernel: NULL pointer dereference in spk_ttyio_ldisc_close func...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2020-28941
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1901723 (view as bug list)
Depends On: 1899986
Blocks: 1896726
TreeView+ depends on / blocked
 
Reported: 2020-11-20 14:31 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-12-07 14:41 UTC (History)
47 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-26 15:05:02 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-11-20 14:31:34 UTC
An issue was discovered in drivers/accessibility/speakup/spk_ttyio.c in the Linux kernel through 5.9.9. Local attackers on systems with the speakup driver could cause a local denial of service attack. This occurs because of an invalid free when the line discipline is used more than once.

References:
https://www.openwall.com/lists/oss-security/2020/11/19/3
http://www.openwall.com/lists/oss-security/2020/11/19/5

Upstream patch:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=d4122754442799187d5d537a9c039a49a67e57f1

Comment 1 Guilherme de Almeida Suckevicz 2020-11-20 14:32:13 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1899986]

Comment 2 Dhananjay Arunesh 2020-11-25 20:57:37 UTC
*** Bug 1901723 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.